diff --git a/wcs/qommon/myspace.py b/wcs/qommon/myspace.py
index 6367e3b5..c3a420fd 100644
--- a/wcs/qommon/myspace.py
+++ b/wcs/qommon/myspace.py
@@ -14,19 +14,25 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_request, redirect, get_response, get_session_manager
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session_manager
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import htmltext, TemplateIO
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from . import _, N_
+from wcs.qommon.admin.texts import TextsDirectory
+
+from . import N_
+from . import _
+from . import errors
+from . import get_cfg
 from . import template
 from .form import *
-from . import get_cfg
-from . import errors
-
 from .ident.password_accounts import PasswordAccount
 
-from wcs.qommon.admin.texts import TextsDirectory
 
 # This module depends upon the following protocol from the user class:
 #
diff --git a/wcs/qommon/ods.py b/wcs/qommon/ods.py
index dae8d271..b4315bc3 100644
--- a/wcs/qommon/ods.py
+++ b/wcs/qommon/ods.py
@@ -22,8 +22,11 @@ import zipfile
 
 from django.utils.encoding import force_text
 
-from .misc import date_format, datetime_format, strftime
-from .evalutils import make_date, make_datetime
+from .evalutils import make_date
+from .evalutils import make_datetime
+from .misc import date_format
+from .misc import datetime_format
+from .misc import strftime
 
 NS = {
     'fo': 'urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0',
diff --git a/wcs/qommon/pages.py b/wcs/qommon/pages.py
index 5b4764e6..a46fac29 100644
--- a/wcs/qommon/pages.py
+++ b/wcs/qommon/pages.py
@@ -16,7 +16,8 @@
 
 import os
 
-from quixote import get_publisher, redirect
+from quixote import get_publisher
+from quixote import redirect
 from quixote.directory import Directory
 from quixote.util import StaticDirectory
 
diff --git a/wcs/qommon/publisher.py b/wcs/qommon/publisher.py
index 2efb240a..a07c3d25 100644
--- a/wcs/qommon/publisher.py
+++ b/wcs/qommon/publisher.py
@@ -16,51 +16,56 @@
 
 from __future__ import print_function
 
+import builtins
 import codecs
 import collections
-import builtins
 import configparser
-import pickle
-import urllib.parse
 import datetime
-from decimal import Decimal
+import fcntl
+import hashlib
 import importlib
 import inspect
 import io
-import os
-import fcntl
-import hashlib
 import json
+import linecache
 import locale
+import logging
+import logging.handlers
+import os
+import pickle
 import random
 import re
 import socket
 import sys
 import time
 import traceback
-
-import linecache
+import urllib.parse
 import xml.etree.ElementTree as ET
+from decimal import Decimal
 
 from django.conf import settings
 from django.http import Http404
 from django.utils import translation
-from django.utils.encoding import force_text, force_bytes
-
-from quixote.publish import Publisher, get_request, get_response, get_publisher, redirect
-from .http_request import HTTPRequest
-from .http_response import HTTPResponse, AfterJob
-
-from .cron import CronJob
-from .substitution import Substitutions, CompatibilityNamesDict
-
-from . import N_, force_str
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote.publish import Publisher
+from quixote.publish import get_publisher
+from quixote.publish import get_request
+from quixote.publish import get_response
+from quixote.publish import redirect
+
+from . import N_
 from . import errors
-from . import template
-import logging
-import logging.handlers
+from . import force_str
 from . import logger
 from . import storage
+from . import template
+from .cron import CronJob
+from .http_request import HTTPRequest
+from .http_response import AfterJob
+from .http_response import HTTPResponse
+from .substitution import CompatibilityNamesDict
+from .substitution import Substitutions
 from .vendor import locket
 
 
@@ -892,9 +897,10 @@ class QommonPublisher(Publisher, object):
         return valid_known_domains
 
     def get_substitution_variables(self):
-        from . import misc
         from wcs.variables import LazyDateObject
 
+        from . import misc
+
         d = {
             'site_name': get_cfg('misc', {}).get('sitename', None),
             'site_theme': get_cfg('branding', {}).get('theme', self.default_theme),
diff --git a/wcs/qommon/saml2.py b/wcs/qommon/saml2.py
index 4d9c72e0..78690c3a 100644
--- a/wcs/qommon/saml2.py
+++ b/wcs/qommon/saml2.py
@@ -15,9 +15,9 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import os
+import sys
 import time
 import urllib.parse
-import sys
 from xml.sax.saxutils import escape
 
 try:
@@ -26,19 +26,24 @@ except ImportError:
     lasso = None
 
 from django.utils.encoding import force_text
-
-from quixote import get_request, get_response, redirect, get_field, get_publisher
-from quixote.http_request import parse_header
+from quixote import get_field
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import get_session_manager
+from quixote import redirect
 from quixote.directory import Directory
-from quixote import get_session, get_session_manager
+from quixote.http_request import parse_header
 
+from . import _
+from . import errors
+from . import force_str
 from . import misc
-from .publisher import get_cfg, get_logger
-from . import _, force_str
+from .publisher import get_cfg
+from .publisher import get_logger
 from .template import error_page
 
-from . import errors
-
 
 class SOAPException(Exception):
     url = None
diff --git a/wcs/qommon/saml2utils.py b/wcs/qommon/saml2utils.py
index 5efbc8d0..737a5628 100644
--- a/wcs/qommon/saml2utils.py
+++ b/wcs/qommon/saml2utils.py
@@ -16,7 +16,8 @@
 
 import os
 
-from . import force_str, x509utils
+from . import force_str
+from . import x509utils
 
 
 def bool2xs(boolean):
diff --git a/wcs/qommon/sessions.py b/wcs/qommon/sessions.py
index 477e9af1..2d00d48b 100644
--- a/wcs/qommon/sessions.py
+++ b/wcs/qommon/sessions.py
@@ -15,26 +15,28 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import copy
-import json
 import hashlib
+import json
 import os
 import time
 
+from django.conf import settings
+from django.core.signing import BadSignature
+from django.core.signing import Signer
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
 from quixote import get_publisher
-
+from quixote.publish import get_request
+from quixote.publish import get_session
+from quixote.publish import get_session_manager
 from quixote.session import Session as QuixoteSession
 from quixote.session import SessionManager as QuixoteSessionManager
 from quixote.util import randbytes
 
-from django.conf import settings
-from django.utils.encoding import force_bytes, force_text
-from django.core.signing import Signer, BadSignature
-
 from . import misc
-from .storage import StorableObject
 from .publisher import get_cfg
+from .storage import StorableObject
 from .upload_storage import get_storage_object
-from quixote.publish import get_session, get_session_manager, get_request
 
 
 class QommonSession(QuixoteSession):
diff --git a/wcs/qommon/sms.py b/wcs/qommon/sms.py
index 1416190a..7b47ca83 100644
--- a/wcs/qommon/sms.py
+++ b/wcs/qommon/sms.py
@@ -17,11 +17,16 @@
 import re
 import urllib.parse
 
-from . import N_, errors, misc
-from . import get_cfg, get_logger
-from .form import StringWidget, PasswordWidget
 from wcs.wscalls import call_webservice
 
+from . import N_
+from . import errors
+from . import get_cfg
+from . import get_logger
+from . import misc
+from .form import PasswordWidget
+from .form import StringWidget
+
 
 class PasserelleSMS(object):
     TIMEOUT = 10
diff --git a/wcs/qommon/storage.py b/wcs/qommon/storage.py
index c0af2fb0..1d7430ba 100644
--- a/wcs/qommon/storage.py
+++ b/wcs/qommon/storage.py
@@ -14,26 +14,26 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import _thread
 import builtins
 import copyreg
 import errno
 import operator
 import os
-import time
-import pickle
 import os.path
+import pickle
 import shutil
 import sys
 import tempfile
-import _thread
+import time
 
 from django.utils.encoding import force_bytes
+from quixote import get_publisher
 
+from . import PICKLE_KWARGS
+from . import force_str
 from .vendor import locket
 
-from quixote import get_publisher
-from . import PICKLE_KWARGS, force_str
-
 # add compatibility names in case those were stored in pickles
 sys.modules['copy_reg'] = copyreg
 sys.modules['__builtin__'] = builtins
diff --git a/wcs/qommon/substitution.py b/wcs/qommon/substitution.py
index 45a0ba37..47f348dd 100644
--- a/wcs/qommon/substitution.py
+++ b/wcs/qommon/substitution.py
@@ -17,7 +17,8 @@
 from contextlib import contextmanager
 
 from quixote import get_publisher
-from quixote.html import htmltext, TemplateIO
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 
 def invalidate_substitution_cache(func):
@@ -42,9 +43,10 @@ class Substitutions(object):
 
     def set_empty(self):
         from wcs.data_sources import NamedDataSource
-        from wcs.variables import CardsSource, FormsSource
-        from wcs.wscalls import NamedWsCall
         from wcs.scripts import Script
+        from wcs.variables import CardsSource
+        from wcs.variables import FormsSource
+        from wcs.wscalls import NamedWsCall
 
         self.sources = [NamedDataSource, NamedWsCall, CardsSource, FormsSource, Script]
 
diff --git a/wcs/qommon/template.py b/wcs/qommon/template.py
index 5d279bfb..e6e739c5 100644
--- a/wcs/qommon/template.py
+++ b/wcs/qommon/template.py
@@ -14,28 +14,34 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import glob
 import io
 import os
-import glob
 import re
 import xml.etree.ElementTree as ET
 
 import django.template
-from django.template import (
-    engines,
-    TemplateSyntaxError as DjangoTemplateSyntaxError,
-    VariableDoesNotExist as DjangoVariableDoesNotExist,
-)
+from django.template import TemplateSyntaxError as DjangoTemplateSyntaxError
+from django.template import VariableDoesNotExist as DjangoVariableDoesNotExist
+from django.template import engines
 from django.template.loader import render_to_string
-from django.utils.encoding import force_text, smart_text
-from django.utils.safestring import SafeString, SafeText
-
-from quixote import get_session, get_request, get_response, get_publisher
+from django.utils.encoding import force_text
+from django.utils.encoding import smart_text
+from django.utils.safestring import SafeString
+from django.utils.safestring import SafeText
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
 from quixote.directory import Directory
-from quixote.util import StaticDirectory, StaticFile
-from quixote.html import htmltext, htmlescape, TemplateIO
-
-from . import ezt, force_str
+from quixote.html import TemplateIO
+from quixote.html import htmlescape
+from quixote.html import htmltext
+from quixote.util import StaticDirectory
+from quixote.util import StaticFile
+
+from . import ezt
+from . import force_str
 
 
 def get_template_from_script(filename):
diff --git a/wcs/qommon/template_utils.py b/wcs/qommon/template_utils.py
index 89bb724e..fa24c06e 100644
--- a/wcs/qommon/template_utils.py
+++ b/wcs/qommon/template_utils.py
@@ -21,9 +21,13 @@
 
 from __future__ import absolute_import
 
-from django.template import loader, Context
+from django.template import Context
+from django.template import loader
 from django.template.base import TextNode
-from django.template.loader_tags import BLOCK_CONTEXT_KEY, BlockContext, BlockNode, ExtendsNode
+from django.template.loader_tags import BLOCK_CONTEXT_KEY
+from django.template.loader_tags import BlockContext
+from django.template.loader_tags import BlockNode
+from django.template.loader_tags import ExtendsNode
 
 
 class BlockNotFound(Exception):
diff --git a/wcs/qommon/templatetags/qommon.py b/wcs/qommon/templatetags/qommon.py
index bf41958d..ac7df7cf 100644
--- a/wcs/qommon/templatetags/qommon.py
+++ b/wcs/qommon/templatetags/qommon.py
@@ -15,15 +15,15 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import datetime
-from decimal import Decimal
-from decimal import InvalidOperation as DecimalInvalidOperation
-from decimal import DivisionByZero as DecimalDivisionByZero
 import hashlib
 import math
-import string
 import random
+import string
 import unicodedata
 import urllib.parse
+from decimal import Decimal
+from decimal import DivisionByZero as DecimalDivisionByZero
+from decimal import InvalidOperation as DecimalInvalidOperation
 
 import pyproj
 from pyproj import Geod
@@ -38,9 +38,12 @@ except ImportError:
 from django import template
 from django.template import defaultfilters
 from django.utils import dateparse
-from django.utils.encoding import force_bytes, force_text
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
 from django.utils.safestring import mark_safe
-from django.utils.timezone import is_naive, make_aware
+from django.utils.timezone import is_naive
+from django.utils.timezone import make_aware
+
 from wcs.qommon import calendar
 from wcs.qommon import evalutils
 from wcs.qommon import tokens
@@ -770,7 +773,8 @@ def phonenumber_fr(value, separator=' '):
 
 @register.filter
 def is_empty(value):
-    from wcs.variables import LazyFormDefObjectsManager, LazyList
+    from wcs.variables import LazyFormDefObjectsManager
+    from wcs.variables import LazyList
 
     if isinstance(value, (str, list, dict)):
         return not value
diff --git a/wcs/qommon/upload_storage.py b/wcs/qommon/upload_storage.py
index 273aaaee..5444c006 100644
--- a/wcs/qommon/upload_storage.py
+++ b/wcs/qommon/upload_storage.py
@@ -18,14 +18,15 @@ import base64
 import io
 import os
 
-from quixote import get_publisher
-from quixote.http_request import Upload
-
 from django.utils.encoding import force_text
 from django.utils.module_loading import import_string
+from quixote import get_publisher
+from quixote.http_request import Upload
 
 from .errors import ConnectionError
-from .misc import json_loads, file_digest, can_thumbnail
+from .misc import can_thumbnail
+from .misc import file_digest
+from .misc import json_loads
 from .storage import atomic_write
 
 
diff --git a/wcs/qommon/xml_storage.py b/wcs/qommon/xml_storage.py
index ea47375e..52679bb9 100644
--- a/wcs/qommon/xml_storage.py
+++ b/wcs/qommon/xml_storage.py
@@ -21,7 +21,8 @@ from django.utils.encoding import force_text
 from quixote import get_publisher
 
 from . import force_str
-from .misc import indent_xml, xml_node_text
+from .misc import indent_xml
+from .misc import xml_node_text
 from .storage import StorableObject
 
 
diff --git a/wcs/roles.py b/wcs/roles.py
index 03d6c7a9..de7a5afd 100644
--- a/wcs/roles.py
+++ b/wcs/roles.py
@@ -19,7 +19,8 @@ import xml.etree.ElementTree as ET
 from django.utils.encoding import force_text
 from quixote import get_publisher
 
-from .qommon import _, misc
+from .qommon import _
+from .qommon import misc
 from .qommon.storage import StorableObject
 
 
diff --git a/wcs/root.py b/wcs/root.py
index 85f9c857..0ffd3498 100644
--- a/wcs/root.py
+++ b/wcs/root.py
@@ -14,39 +14,42 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from importlib import import_module
 import json
 import os
 import re
 import urllib.parse
+from importlib import import_module
 
-from quixote import get_publisher, get_response, get_session, redirect, get_session_manager, get_request
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import get_session_manager
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import htmltext, TemplateIO
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 from quixote.util import StaticDirectory
 
+from . import portfolio
+from .api import ApiDirectory
+from .categories import Category
+from .formdef import FormDef
 from .forms import root
-from .qommon import saml2
-
+from .forms.actions import ActionsDirectory
+from .forms.preview import PreviewDirectory
+from .myspace import MyspaceDirectory
 from .qommon import _
 from .qommon import errors
-from .qommon import get_cfg, get_logger
-from .qommon import template
-from .qommon.form import *
+from .qommon import get_cfg
+from .qommon import get_logger
 from .qommon import ident
 from .qommon import pages
-from .qommon.upload_storage import UploadStorageError
-
+from .qommon import saml2
+from .qommon import template
 from .qommon.afterjobs import AfterJobStatusDirectory
-
-from .categories import Category
-from .formdef import FormDef
-from .api import ApiDirectory
-from .myspace import MyspaceDirectory
-from .forms.preview import PreviewDirectory
-from .forms.actions import ActionsDirectory
-
-from . import portfolio
+from .qommon.form import *
+from .qommon.upload_storage import UploadStorageError
 
 
 class CompatibilityDirectory(Directory):
diff --git a/wcs/snapshots.py b/wcs/snapshots.py
index 6bb15fd0..774c87a0 100644
--- a/wcs/snapshots.py
+++ b/wcs/snapshots.py
@@ -17,10 +17,11 @@
 import xml.etree.ElementTree as ET
 
 from django.utils.timezone import now
+from quixote import get_publisher
+from quixote import get_session
 
-from quixote import get_publisher, get_session
-
-from wcs.qommon import _, misc
+from wcs.qommon import _
+from wcs.qommon import misc
 from wcs.qommon.storage import Null
 
 
diff --git a/wcs/sql.py b/wcs/sql.py
index 94fc568c..c7a6e0dd 100644
--- a/wcs/sql.py
+++ b/wcs/sql.py
@@ -15,34 +15,27 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import copy
+import datetime
 import io
+import re
+import time
+import unicodedata
+
 import psycopg2
 import psycopg2.extensions
 import psycopg2.extras
-import datetime
-import time
-import re
-import unicodedata
 
 try:
     import cPickle as pickle
 except ImportError:
     import pickle
 
-from django.utils.encoding import force_bytes, force_text
-
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
 from quixote import get_publisher
-from . import qommon
-from wcs.qommon import force_str, PICKLE_KWARGS
-from .qommon.storage import _take, deep_bytes2str, parse_clause as parse_storage_clause
-from .qommon.substitution import invalidate_substitution_cache
-from .qommon import get_cfg
-from .qommon.upload_storage import PicklableUpload
-from .qommon.misc import strftime
-from .publisher import UnpicklerClass
 
-import wcs.categories
 import wcs.carddata
+import wcs.categories
 import wcs.custom_views
 import wcs.formdata
 import wcs.logged_errors
@@ -50,6 +43,18 @@ import wcs.roles
 import wcs.snapshots
 import wcs.tracking_code
 import wcs.users
+from wcs.qommon import PICKLE_KWARGS
+from wcs.qommon import force_str
+
+from . import qommon
+from .publisher import UnpicklerClass
+from .qommon import get_cfg
+from .qommon.misc import strftime
+from .qommon.storage import _take
+from .qommon.storage import deep_bytes2str
+from .qommon.storage import parse_clause as parse_storage_clause
+from .qommon.substitution import invalidate_substitution_cache
+from .qommon.upload_storage import PicklableUpload
 
 # enable psycogp2 unicode mode, this will fetch postgresql varchar/text columns
 # as unicode objects
@@ -3367,8 +3372,8 @@ def set_reindex(index, value, conn=None, cur=None):
 
 def migrate_views(conn, cur):
     drop_views(None, conn, cur)
-    from wcs.formdef import FormDef
     from wcs.carddef import CardDef
+    from wcs.formdef import FormDef
 
     for formdef in FormDef.select() + CardDef.select():
         # make sure all formdefs have up-to-date views
@@ -3439,8 +3444,8 @@ def migrate():
         # 41: update full text normalization
         set_reindex('formdata', 'needed', conn=conn, cur=cur)
     if sql_level < 46:
-        from wcs.formdef import FormDef
         from wcs.carddef import CardDef
+        from wcs.formdef import FormDef
 
         # 24: add index on evolution(formdata_id)
         # 35: add indexes on formdata(receipt_time) and formdata(anonymised)
diff --git a/wcs/users.py b/wcs/users.py
index d649f6b0..7d35bf6e 100644
--- a/wcs/users.py
+++ b/wcs/users.py
@@ -18,13 +18,15 @@ import datetime
 
 from quixote import get_publisher
 
-from .qommon import _, N_
-from .qommon.misc import simplify
-from .qommon.storage import StorableObject
-from .qommon import get_cfg
 import wcs.qommon.storage as st
 
-from .qommon.substitution import Substitutions, invalidate_substitution_cache
+from .qommon import N_
+from .qommon import _
+from .qommon import get_cfg
+from .qommon.misc import simplify
+from .qommon.storage import StorableObject
+from .qommon.substitution import Substitutions
+from .qommon.substitution import invalidate_substitution_cache
 
 
 class User(StorableObject):
diff --git a/wcs/utils.py b/wcs/utils.py
index 128c5ad2..ccf065cb 100644
--- a/wcs/utils.py
+++ b/wcs/utils.py
@@ -18,8 +18,9 @@ import os
 
 import django.template.loaders.filesystem
 
+from .qommon.publisher import get_cfg
+from .qommon.publisher import get_publisher
 from .qommon.template import get_theme_directory
-from .qommon.publisher import get_cfg, get_publisher
 
 
 class TemplateLoader(django.template.loaders.filesystem.Loader):
diff --git a/wcs/variables.py b/wcs/variables.py
index 0868f16a..f1f643b1 100644
--- a/wcs/variables.py
+++ b/wcs/variables.py
@@ -18,19 +18,22 @@ import warnings
 
 from django.utils.encoding import force_text
 from django.utils.functional import SimpleLazyObject
-
-from quixote import get_publisher, get_request
-
 from pyproj import Geod
-
-from .qommon import misc, force_str, _
-from .qommon.evalutils import make_datetime
-from .qommon.templatetags.qommon import parse_datetime
-from .qommon.storage import Or, Equal, NotEqual, Null
-from .qommon.substitution import CompatibilityNamesDict
+from quixote import get_publisher
+from quixote import get_request
 
 from .carddef import CardDef
 from .formdef import FormDef
+from .qommon import _
+from .qommon import force_str
+from .qommon import misc
+from .qommon.evalutils import make_datetime
+from .qommon.storage import Equal
+from .qommon.storage import NotEqual
+from .qommon.storage import Null
+from .qommon.storage import Or
+from .qommon.substitution import CompatibilityNamesDict
+from .qommon.templatetags.qommon import parse_datetime
 
 
 class LazyFormDefObjectsManager(object):
diff --git a/wcs/views.py b/wcs/views.py
index 52a1a4bc..22328674 100644
--- a/wcs/views.py
+++ b/wcs/views.py
@@ -14,11 +14,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_request, get_response
 from django.http import HttpResponse
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
 
-from .qommon import template
 from . import compat
+from .qommon import template
 
 
 class Backoffice(compat.TemplateWithFallbackView):
diff --git a/wcs/wf/aggregation_email.py b/wcs/wf/aggregation_email.py
index 7f737fa8..f4b95447 100644
--- a/wcs/wf/aggregation_email.py
+++ b/wcs/wf/aggregation_email.py
@@ -14,14 +14,16 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from ..qommon import _, N_
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import emails
+from ..qommon.cron import CronJob
+from ..qommon.form import *
 from ..qommon.publisher import get_publisher_class
 from ..qommon.storage import StorableObject
-from ..qommon.form import *
-from ..qommon.cron import CronJob
-from ..qommon import emails
-
-from wcs.workflows import WorkflowStatusItem, register_item_class
 
 
 class AggregationEmailWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/anonymise.py b/wcs/wf/anonymise.py
index 5db0e149..15bed156 100644
--- a/wcs/wf/anonymise.py
+++ b/wcs/wf/anonymise.py
@@ -15,7 +15,8 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from wcs.qommon import N_
-from wcs.workflows import WorkflowStatusItem, register_item_class
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
 
 
 class AnonymiseWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/attachment.py b/wcs/wf/attachment.py
index 52e4a64e..a008955c 100644
--- a/wcs/wf/attachment.py
+++ b/wcs/wf/attachment.py
@@ -19,14 +19,18 @@ import xml.etree.ElementTree as ET
 
 from quixote import redirect
 
-from ..qommon import _, N_
+from wcs.forms.common import FileDirectory
+from wcs.forms.common import FormStatusPage
+from wcs.portfolio import has_portfolio
+from wcs.portfolio import push_document
 from wcs.workflows import *
+
+from ..qommon import N_
+from ..qommon import _
 from ..qommon import get_cfg
 from ..qommon.errors import *
-from ..qommon.misc import get_document_type_value_options, xml_node_text
-
-from wcs.forms.common import FormStatusPage, FileDirectory
-from wcs.portfolio import has_portfolio, push_document
+from ..qommon.misc import get_document_type_value_options
+from ..qommon.misc import xml_node_text
 
 
 def lookup_wf_attachment(self, filename):
diff --git a/wcs/wf/backoffice_fields.py b/wcs/wf/backoffice_fields.py
index b6bd8bb1..6c7f2478 100644
--- a/wcs/wf/backoffice_fields.py
+++ b/wcs/wf/backoffice_fields.py
@@ -19,17 +19,18 @@ import xml.etree.ElementTree as ET
 from quixote import get_publisher
 from quixote.html import htmltext
 
-from ..qommon import _, N_
-from ..qommon.form import (
-    WidgetListAsTable,
-    CompositeWidget,
-    SingleSelectWidget,
-    ComputedExpressionWidget,
-    StringWidget,
-)
 from wcs.fields import WidgetField
-from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.wf.profile import FieldNode
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon.form import CompositeWidget
+from ..qommon.form import ComputedExpressionWidget
+from ..qommon.form import SingleSelectWidget
+from ..qommon.form import StringWidget
+from ..qommon.form import WidgetListAsTable
 
 
 class SetBackofficeFieldRowWidget(CompositeWidget):
diff --git a/wcs/wf/create_carddata.py b/wcs/wf/create_carddata.py
index 557762c0..04773b4d 100644
--- a/wcs/wf/create_carddata.py
+++ b/wcs/wf/create_carddata.py
@@ -14,13 +14,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from wcs.qommon import N_
 from quixote import get_publisher
 
-from wcs.workflows import register_item_class
 from wcs.carddef import CardDef
-
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, LinkedFormdataEvolutionPart
+from wcs.qommon import N_
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import LinkedFormdataEvolutionPart
+from wcs.workflows import register_item_class
 
 
 class LinkedCardDataEvolutionPart(LinkedFormdataEvolutionPart):
diff --git a/wcs/wf/create_formdata.py b/wcs/wf/create_formdata.py
index 570900b7..f3d77ed4 100644
--- a/wcs/wf/create_formdata.py
+++ b/wcs/wf/create_formdata.py
@@ -17,26 +17,26 @@
 import time
 import xml.etree.ElementTree as ET
 
-from quixote import get_request, get_session, get_publisher
-from quixote.html import htmltext
-
 from django.utils.functional import cached_property
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
+from quixote.html import htmltext
 
-from wcs.qommon import _, N_
-from wcs.qommon.form import (
-    Form,
-    WidgetListAsTable,
-    CompositeWidget,
-    SingleSelectWidget,
-    ComputedExpressionWidget,
-    RadiobuttonsWidget,
-    CheckboxWidget,
-    VarnameWidget,
-    HtmlWidget,
-)
-
-from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.formdef import FormDef
+from wcs.qommon import N_
+from wcs.qommon import _
+from wcs.qommon.form import CheckboxWidget
+from wcs.qommon.form import CompositeWidget
+from wcs.qommon.form import ComputedExpressionWidget
+from wcs.qommon.form import Form
+from wcs.qommon.form import HtmlWidget
+from wcs.qommon.form import RadiobuttonsWidget
+from wcs.qommon.form import SingleSelectWidget
+from wcs.qommon.form import VarnameWidget
+from wcs.qommon.form import WidgetListAsTable
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
 
 
 class Mapping(object):
diff --git a/wcs/wf/criticality.py b/wcs/wf/criticality.py
index 342997ec..1791c2b2 100644
--- a/wcs/wf/criticality.py
+++ b/wcs/wf/criticality.py
@@ -14,9 +14,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from ..qommon import _, N_
 from wcs.qommon.form import SingleSelectWidget
-from wcs.workflows import WorkflowStatusItem, register_item_class
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
 
 MODE_INC = '1'
 MODE_DEC = '2'
diff --git a/wcs/wf/dispatch.py b/wcs/wf/dispatch.py
index 3c9d0ab3..dd672e50 100644
--- a/wcs/wf/dispatch.py
+++ b/wcs/wf/dispatch.py
@@ -19,11 +19,16 @@ import xml.etree.ElementTree as ET
 
 from quixote.html import htmltext
 
-from ..qommon import _, N_
+from wcs.roles import get_user_roles
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import XmlSerialisable
+from wcs.workflows import get_role_name
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
 from ..qommon.form import *
 from ..qommon.template import Template
-from wcs.roles import get_user_roles
-from wcs.workflows import XmlSerialisable, WorkflowStatusItem, register_item_class, get_role_name
 
 
 class AutomaticDispatchRowWidget(CompositeWidget):
diff --git a/wcs/wf/edit_carddata.py b/wcs/wf/edit_carddata.py
index 3aa9f381..3f3085b5 100644
--- a/wcs/wf/edit_carddata.py
+++ b/wcs/wf/edit_carddata.py
@@ -14,13 +14,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from wcs.qommon import _, N_
 from quixote import get_publisher
 
-from wcs.workflows import register_item_class
-
+from wcs.qommon import N_
+from wcs.qommon import _
 from wcs.wf.create_carddata import CreateCarddataWorkflowStatusItem
 from wcs.wf.external_workflow import ExternalWorkflowGlobalAction
+from wcs.workflows import register_item_class
 
 
 class EditCarddataWorkflowStatusItem(CreateCarddataWorkflowStatusItem, ExternalWorkflowGlobalAction):
